.showcase{
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
    background-attachment: fixed;
    /* Overlay */
    background-color: var(--overlay);
    background-blend-mode: color;
    color: white;
}

h1{
    text-align: center;
}

.headline{
    height: fit-content;
    margin-bottom: 0;
    padding-top: 20px;
}

.gallery{
    column-count: 4;
    column-gap: 10px;
    max-width: 1700px;
    margin: auto;
    padding: 20px 5px;
}

.gallery-item{
    position: relative;
    overflow: hidden;
    min-height: 220px;
    margin-bottom: 5px;
    cursor: pointer;
}

.gallery-item::before{
    position: absolute;
    content: '';
    visibility: none;
    width: 100%;
    height: calc(100% - 4px);
    border-radius: 8px;
    background: linear-gradient(100deg, #e0e0e0 30%, #f5f5f5 50%, #e0e0e0 70%);
    background-size: 200% 100%;
    animation: shimmer 1.2s infinite linear;
    z-index: 1;
}
.gallery .hideBefore::before {
    display: none;
}
@keyframes shimmer {
    0% {
        background-position: -200% 0;
    }
    100% {
        background-position: 200% 0;
    }
}

.gallery img{
    width: 100%;
    transition: .3s;
}

.gallery-item:hover img{
    scale: 1.02;
}

.gallery legend{
    position: absolute;
    bottom: 0;
    font-weight: 200;
    width: 100%;
    padding: 5px;
    opacity: 0;
    color: white;
    transition: .4s;
    backdrop-filter: blur(18px);
    -webkit-backdrop-filter: blur(18px);
}

.gallery-item:hover legend{
    opacity: 1;
}

/* details */
.lightbox{
    position: fixed; z-index: 200; 
    display: none;
    background-color: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 100vh;
    overflow: auto;
    top: 0;
    left: 0;
}

.lightbox-content{
    height: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
}

.lightbox-content img{
    max-width: 95vw;
    max-height: 95vh;
    border-radius: 10px;
}

.lightbox-prev,
.lightbox-next,
.lightbox-close{
    position: absolute;
    height: 40px;
    width: 40px;
    text-align: center;
    font-size: 24px;
    padding-top: 8px;
    border-radius: 50%;
    color: white; 
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.05);
    backdrop-filter: blur(30px);
    -webkit-backdrop-filter: blur(30px);
}

.lightbox-prev{
    left: 20px;
}

.lightbox-next{
    right: 20px;
}

.lightbox-close{
    right: 20px;
    top: 20px;
}
/* details end */

@media screen and (max-width: 1200px) {

    .gallery{
        column-count: 3;
    }
}
@media screen and (max-width: 900px) {

    .gallery{
        column-count: 2;
    }
}
@media screen and (max-width: 600px) {

    .gallery{
        column-count: 1;
    }
}
